Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/driver.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -118,5 +118,5 @@
 }
 
-static void driver_dev_add(cap_call_handle_t iid, ipc_call_t *icall)
+static void driver_dev_add(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t dev_handle = IPC_GET_ARG1(*icall);
@@ -126,5 +126,5 @@
 	errno_t rc = async_data_write_accept((void **) &dev_name, true, 0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -134,5 +134,5 @@
 	if (stopping) {
 		fibril_rwlock_read_unlock(&stopping_lock);
-		async_answer_0(iid, EIO);
+		async_answer_0(icall_handle, EIO);
 		return;
 	}
@@ -142,5 +142,5 @@
 		fibril_rwlock_read_unlock(&stopping_lock);
 		free(dev_name);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -162,5 +162,5 @@
 		fibril_rwlock_read_unlock(&stopping_lock);
 		dev_del_ref(dev);
-		async_answer_0(iid, res);
+		async_answer_0(icall_handle, res);
 		return;
 	}
@@ -171,8 +171,8 @@
 	fibril_rwlock_read_unlock(&stopping_lock);
 
-	async_answer_0(iid, res);
-}
-
-static void driver_dev_remove(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, res);
+}
+
+static void driver_dev_remove(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t devh = IPC_GET_ARG1(*icall);
@@ -185,5 +185,5 @@
 
 	if (dev == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -204,8 +204,8 @@
 
 	dev_del_ref(dev);
-	async_answer_0(iid, rc);
-}
-
-static void driver_dev_gone(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_dev_gone(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t devh = IPC_GET_ARG1(*icall);
@@ -218,5 +218,5 @@
 
 	if (dev == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -237,8 +237,8 @@
 
 	dev_del_ref(dev);
-	async_answer_0(iid, rc);
-}
-
-static void driver_fun_online(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_fun_online(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t funh = IPC_GET_ARG1(*icall);
@@ -258,5 +258,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -272,8 +272,8 @@
 	fun_del_ref(fun);
 
-	async_answer_0(iid, rc);
-}
-
-static void driver_fun_offline(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_fun_offline(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t funh = IPC_GET_ARG1(*icall);
@@ -293,5 +293,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -305,8 +305,8 @@
 		rc = ENOTSUP;
 
-	async_answer_0(iid, rc);
-}
-
-static void driver_stop(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_stop(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* Prevent new devices from being added */
@@ -321,5 +321,5 @@
 		stopping = false;
 		fibril_rwlock_write_unlock(&stopping_lock);
-		async_answer_0(iid, EBUSY);
+		async_answer_0(icall_handle, EBUSY);
 		return;
 	}
@@ -333,17 +333,17 @@
 
 	/* Reply with success and terminate */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	exit(0);
 }
 
-static void driver_connection_devman(cap_call_handle_t iid, ipc_call_t *icall,
+static void driver_connection_devman(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
 	/* Accept connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -352,23 +352,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case DRIVER_DEV_ADD:
-			driver_dev_add(callid, &call);
+			driver_dev_add(chandle, &call);
 			break;
 		case DRIVER_DEV_REMOVE:
-			driver_dev_remove(callid, &call);
+			driver_dev_remove(chandle, &call);
 			break;
 		case DRIVER_DEV_GONE:
-			driver_dev_gone(callid, &call);
+			driver_dev_gone(chandle, &call);
 			break;
 		case DRIVER_FUN_ONLINE:
-			driver_fun_online(callid, &call);
+			driver_fun_online(chandle, &call);
 			break;
 		case DRIVER_FUN_OFFLINE:
-			driver_fun_offline(callid, &call);
+			driver_fun_offline(chandle, &call);
 			break;
 		case DRIVER_STOP:
-			driver_stop(callid, &call);
+			driver_stop(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
@@ -381,5 +381,5 @@
  *
  */
-static void driver_connection_gen(cap_call_handle_t iid, ipc_call_t *icall, bool drv)
+static void driver_connection_gen(cap_call_handle_t icall_handle, ipc_call_t *icall, bool drv)
 {
 	/*
@@ -398,5 +398,5 @@
 		printf("%s: driver_connection_gen error - no function with handle"
 		    " %" PRIun " was found.\n", driver->name, handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -404,5 +404,5 @@
 	if (fun->conn_handler != NULL) {
 		/* Driver has a custom connection handler. */
-		(*fun->conn_handler)(iid, icall, (void *)fun);
+		(*fun->conn_handler)(icall_handle, icall, (void *)fun);
 		fun_del_ref(fun);
 		return;
@@ -419,5 +419,5 @@
 		ret = (*fun->ops->open)(fun);
 
-	async_answer_0(iid, ret);
+	async_answer_0(icall_handle, ret);
 	if (ret != EOK) {
 		fun_del_ref(fun);
@@ -426,7 +426,7 @@
 
 	while (true) {
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 		ipc_call_t call;
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -435,5 +435,5 @@
 			if (fun->ops != NULL && fun->ops->close != NULL)
 				(*fun->ops->close)(fun);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			fun_del_ref(fun);
 			return;
@@ -448,5 +448,5 @@
 			    function_get_default_handler(fun);
 			if (default_handler != NULL) {
-				(*default_handler)(fun, callid, &call);
+				(*default_handler)(fun, chandle, &call);
 				continue;
 			}
@@ -459,5 +459,5 @@
 			    "invalid interface id %d.",
 			    driver->name, iface_idx);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -471,5 +471,5 @@
 			printf("Function with handle %" PRIun " has no interface "
 			    "with id %d.\n", handle, iface_idx);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -490,5 +490,5 @@
 			printf("%s: driver_connection_gen error - "
 			    "invalid interface method.", driver->name);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -500,18 +500,18 @@
 		 * associated with the function by its driver.
 		 */
-		(*iface_method_ptr)(fun, ops, callid, &call);
-	}
-}
-
-static void driver_connection_driver(cap_call_handle_t iid, ipc_call_t *icall,
+		(*iface_method_ptr)(fun, ops, chandle, &call);
+	}
+}
+
+static void driver_connection_driver(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	driver_connection_gen(iid, icall, true);
-}
-
-static void driver_connection_client(cap_call_handle_t iid, ipc_call_t *icall,
+	driver_connection_gen(icall_handle, icall, true);
+}
+
+static void driver_connection_client(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	driver_connection_gen(iid, icall, false);
+	driver_connection_gen(icall_handle, icall, false);
 }
 
Index: uspace/lib/drv/generic/remote_ahci.c
===================================================================
--- uspace/lib/drv/generic/remote_ahci.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_ahci.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -210,10 +210,10 @@
 
 void remote_ahci_get_sata_device_name(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
 
 	if (ahci_iface->get_sata_device_name == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -224,5 +224,5 @@
 	char* sata_dev_name = malloc(sata_dev_name_length);
 	if (sata_dev_name == NULL) {
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
@@ -232,20 +232,21 @@
 
 	size_t real_size;
-	cap_call_handle_t cid;
-	if ((async_data_read_receive(&cid, &real_size)) &&
+	cap_call_handle_t call_handle;
+	if ((async_data_read_receive(&call_handle, &real_size)) &&
 	    (real_size == sata_dev_name_length))
-		async_data_read_finalize(cid, sata_dev_name, sata_dev_name_length);
+		async_data_read_finalize(call_handle, sata_dev_name,
+		    sata_dev_name_length);
 
 	free(sata_dev_name);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_ahci_get_num_blocks(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
 
 	if (ahci_iface->get_num_blocks == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -255,16 +256,16 @@
 
 	if (ret != EOK)
-		async_answer_0(callid, ret);
+		async_answer_0(chandle, ret);
 	else
-		async_answer_2(callid, EOK, HI(blocks), LO(blocks));
+		async_answer_2(chandle, EOK, HI(blocks), LO(blocks));
 }
 
 static void remote_ahci_get_block_size(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
 
 	if (ahci_iface->get_block_size == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -274,16 +275,16 @@
 
 	if (ret != EOK)
-		async_answer_0(callid, ret);
+		async_answer_0(chandle, ret);
 	else
-		async_answer_1(callid, EOK, blocks);
+		async_answer_1(chandle, EOK, blocks);
 }
 
 void remote_ahci_read_blocks(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const ahci_iface_t *ahci_iface = (ahci_iface_t *) iface;
 
 	if (ahci_iface->read_blocks == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -292,9 +293,9 @@
 	unsigned int flags;
 
-	cap_call_handle_t cid;
-	async_share_out_receive(&cid, &maxblock_size, &flags);
+	cap_call_handle_t call_handle;
+	async_share_out_receive(&call_handle, &maxblock_size, &flags);
 
 	void *buf;
-	async_share_out_finalize(cid, &buf);
+	async_share_out_finalize(call_handle, &buf);
 
 	const uint64_t blocknum =
@@ -305,8 +306,8 @@
 	const errno_t ret = ahci_iface->read_blocks(fun, blocknum, cnt, buf);
 
-	async_answer_0(callid, ret);
-}
-
-void remote_ahci_write_blocks(ddf_fun_t *fun, void *iface, cap_call_handle_t callid,
+	async_answer_0(chandle, ret);
+}
+
+void remote_ahci_write_blocks(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -314,5 +315,5 @@
 
 	if (ahci_iface->read_blocks == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -321,9 +322,9 @@
 	unsigned int flags;
 
-	cap_call_handle_t cid;
-	async_share_out_receive(&cid, &maxblock_size, &flags);
+	cap_call_handle_t call_handle;
+	async_share_out_receive(&call_handle, &maxblock_size, &flags);
 
 	void *buf;
-	async_share_out_finalize(cid, &buf);
+	async_share_out_finalize(call_handle, &buf);
 
 	const uint64_t blocknum =
@@ -334,5 +335,5 @@
 	const errno_t ret = ahci_iface->write_blocks(fun, blocknum, cnt, buf);
 
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
Index: uspace/lib/drv/generic/remote_audio_mixer.c
===================================================================
--- uspace/lib/drv/generic/remote_audio_mixer.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_audio_mixer.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -219,10 +219,10 @@
 
 void remote_audio_mixer_get_info(
-    ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+    ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	audio_mixer_iface_t *mixer_iface = iface;
 
 	if (!mixer_iface->get_info) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -231,5 +231,5 @@
 	const errno_t ret = mixer_iface->get_info(fun, &name, &items);
 	const size_t name_size = name ? str_size(name) + 1 : 0;
-	async_answer_2(callid, ret, name_size, items);
+	async_answer_2(chandle, ret, name_size, items);
 	/* Send the name. */
 	if (ret == EOK && name_size > 0) {
@@ -249,10 +249,10 @@
 
 void remote_audio_mixer_get_item_info(
-    ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+    ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	audio_mixer_iface_t *mixer_iface = iface;
 
 	if (!mixer_iface->get_item_info) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -263,5 +263,5 @@
 	const errno_t ret = mixer_iface->get_item_info(fun, item, &name, &values);
 	const size_t name_size = name ? str_size(name) + 1 : 0;
-	async_answer_2(callid, ret, name_size, values);
+	async_answer_2(chandle, ret, name_size, values);
 	/* Send the name. */
 	if (ret == EOK && name_size > 0) {
@@ -281,10 +281,10 @@
 
 void remote_audio_mixer_set_item_level(
-    ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+    ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	audio_mixer_iface_t *mixer_iface = iface;
 
 	if (!mixer_iface->set_item_level) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -292,14 +292,14 @@
 	const unsigned value = DEV_IPC_GET_ARG2(*call);
 	const errno_t ret = mixer_iface->set_item_level(fun, item, value);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_mixer_get_item_level(
-    ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+    ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
 {
 	audio_mixer_iface_t *mixer_iface = iface;
 
 	if (!mixer_iface->get_item_level) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -308,5 +308,5 @@
 	const errno_t ret =
 	    mixer_iface->get_item_level(fun, item, &current);
-	async_answer_1(callid, ret, current);
+	async_answer_1(chandle, ret, current);
 }
 
Index: uspace/lib/drv/generic/remote_audio_pcm.c
===================================================================
--- uspace/lib/drv/generic/remote_audio_pcm.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_audio_pcm.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -632,10 +632,10 @@
 
 void remote_audio_pcm_get_info_str(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 
 	if (!pcm_iface->get_info_str) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -643,5 +643,5 @@
 	const errno_t ret = pcm_iface->get_info_str(fun, &name);
 	const size_t name_size = name ? str_size(name) + 1 : 0;
-	async_answer_1(callid, ret, name_size);
+	async_answer_1(chandle, ret, name_size);
 	/* Send the string. */
 	if (ret == EOK && name_size > 0) {
@@ -660,5 +660,6 @@
 }
 
-void remote_audio_pcm_query_caps(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+void remote_audio_pcm_query_caps(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -666,28 +667,29 @@
 	if (pcm_iface->query_cap) {
 		const unsigned value = pcm_iface->query_cap(fun, cap);
-		async_answer_1(callid, EOK, value);
+		async_answer_1(chandle, EOK, value);
 	} else {
-		async_answer_0(callid, ENOTSUP);
-	}
-}
-
-static void remote_audio_pcm_events_register(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ENOTSUP);
+	}
+}
+
+static void remote_audio_pcm_events_register(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 	if (!pcm_iface->get_event_session ||
 	    !pcm_iface->set_event_session) {
-		async_answer_0(callid, ENOTSUP);
-		return;
-	}
-
-	async_answer_0(callid, EOK);
+		async_answer_0(chandle, ENOTSUP);
+		return;
+	}
+
+	async_answer_0(chandle, EOK);
 
 	ipc_call_t callback_call;
-	cap_call_handle_t callback_id = async_get_call(&callback_call);
+	cap_call_handle_t callback_handle = async_get_call(&callback_call);
 	async_sess_t *sess =
 	    async_callback_receive_start(EXCHANGE_ATOMIC, &callback_call);
 	if (sess == NULL) {
 		ddf_msg(LVL_DEBUG, "Failed to create event callback");
-		async_answer_0(callback_id, EAGAIN);
+		async_answer_0(callback_handle, EAGAIN);
 		return;
 	}
@@ -696,16 +698,17 @@
 		ddf_msg(LVL_DEBUG, "Failed to set event callback.");
 		async_hangup(sess);
-		async_answer_0(callback_id, ret);
-		return;
-	}
-	async_answer_0(callback_id, EOK);
-}
-
-static void remote_audio_pcm_events_unregister(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(callback_handle, ret);
+		return;
+	}
+	async_answer_0(callback_handle, EOK);
+}
+
+static void remote_audio_pcm_events_unregister(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 	if (!pcm_iface->get_event_session ||
 	    !pcm_iface->set_event_session) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -715,8 +718,9 @@
 		pcm_iface->set_event_session(fun, NULL);
 	}
-	async_answer_0(callid, EOK);
-}
-
-void remote_audio_pcm_get_buffer_pos(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_0(chandle, EOK);
+}
+
+void remote_audio_pcm_get_buffer_pos(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -724,8 +728,9 @@
 	const errno_t ret = pcm_iface->get_buffer_pos ?
 	    pcm_iface->get_buffer_pos(fun, &pos) : ENOTSUP;
-	async_answer_1(callid, ret, pos);
-}
-
-void remote_audio_pcm_test_format(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(chandle, ret, pos);
+}
+
+void remote_audio_pcm_test_format(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -735,9 +740,9 @@
 	const errno_t ret = pcm_iface->test_format ?
 	    pcm_iface->test_format(fun, &channels, &rate, &format) : ENOTSUP;
-	async_answer_3(callid, ret, channels, rate, format);
+	async_answer_3(chandle, ret, channels, rate, format);
 }
 
 void remote_audio_pcm_get_buffer(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -745,5 +750,5 @@
 	if (!pcm_iface->get_buffer ||
 	    !pcm_iface->release_buffer) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -751,5 +756,5 @@
 	size_t size = DEV_IPC_GET_ARG1(*call);
 	errno_t ret = pcm_iface->get_buffer(fun, &buffer, &size);
-	async_answer_1(callid, ret, size);
+	async_answer_1(chandle, ret, size);
 	if (ret != EOK || size == 0)
 		return;
@@ -788,5 +793,5 @@
 
 void remote_audio_pcm_release_buffer(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -794,9 +799,9 @@
 	const errno_t ret = pcm_iface->release_buffer ?
 	    pcm_iface->release_buffer(fun) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_start_playback(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -810,9 +815,9 @@
 	    ? pcm_iface->start_playback(fun, frames, channels, rate, format)
 	    : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_stop_playback(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -821,9 +826,9 @@
 	const errno_t ret = pcm_iface->stop_playback ?
 	    pcm_iface->stop_playback(fun, immediate) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_start_capture(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -837,9 +842,9 @@
 	    ? pcm_iface->start_capture(fun, frames, channels, rate, format)
 	    : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_stop_capture(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -848,5 +853,5 @@
 	const errno_t ret = pcm_iface->stop_capture ?
 	    pcm_iface->stop_capture(fun, immediate) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
Index: uspace/lib/drv/generic/remote_battery_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_battery_dev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_battery_dev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -118,5 +118,5 @@
  */
 static void
-remote_battery_status_get(ddf_fun_t *fun, void *ops, cap_call_handle_t callid,
+remote_battery_status_get(ddf_fun_t *fun, void *ops, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -124,5 +124,5 @@
 
 	if (bops->battery_status_get == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -132,7 +132,7 @@
 
 	if (rc != EOK)
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	else
-		async_answer_1(callid, rc, batt_status);
+		async_answer_1(chandle, rc, batt_status);
 }
 
@@ -144,5 +144,5 @@
  */
 static void
-remote_battery_charge_level_get(ddf_fun_t *fun, void *ops, cap_call_handle_t callid,
+remote_battery_charge_level_get(ddf_fun_t *fun, void *ops, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -150,5 +150,5 @@
 
 	if (bops->battery_charge_level_get == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -158,7 +158,7 @@
 
 	if (rc != EOK)
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 	else
-		async_answer_1(callid, rc, battery_level);
+		async_answer_1(chandle, rc, battery_level);
 }
 
Index: uspace/lib/drv/generic/remote_clock_dev.c
===================================================================
--- uspace/lib/drv/generic/remote_clock_dev.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_clock_dev.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -69,16 +69,16 @@
  */
 static void
-remote_clock_time_get(ddf_fun_t *fun, void *ops, cap_call_handle_t callid,
+remote_clock_time_get(ddf_fun_t *fun, void *ops, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	clock_dev_ops_t *clock_dev_ops = (clock_dev_ops_t *) ops;
-	cap_call_handle_t cid;
+	cap_call_handle_t call_handle;
 	struct tm t;
 	errno_t rc;
 	size_t len;
 
-	if (!async_data_read_receive(&cid, &len)) {
+	if (!async_data_read_receive(&call_handle, &len)) {
 		/* TODO: Handle protocol error */
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -86,6 +86,6 @@
 	if (!clock_dev_ops->time_get) {
 		/* The driver does not provide the time_get() functionality */
-		async_answer_0(cid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(call_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -95,12 +95,12 @@
 	if (rc != EOK) {
 		/* Some error occurred */
-		async_answer_0(cid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(call_handle, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
 
 	/* The operation was successful */
-	async_data_read_finalize(cid, &t, sizeof(struct tm));
-	async_answer_0(callid, rc);
+	async_data_read_finalize(call_handle, &t, sizeof(struct tm));
+	async_answer_0(chandle, rc);
 }
 
@@ -111,15 +111,15 @@
  */
 static void remote_clock_time_set(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	clock_dev_ops_t *clock_dev_ops = (clock_dev_ops_t *) ops;
 	errno_t      rc;
 	struct tm    t;
-	cap_call_handle_t cid;
+	cap_call_handle_t call_handle;
 	size_t       len;
 
-	if (!async_data_write_receive(&cid, &len)) {
+	if (!async_data_write_receive(&call_handle, &len)) {
 		/* TODO: Handle protocol error */
-		async_answer_0(callid, EINVAL);
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -127,14 +127,14 @@
 	if (!clock_dev_ops->time_set) {
 		/* The driver does not support the time_set() functionality */
-		async_answer_0(cid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(call_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
-	async_data_write_finalize(cid, &t, sizeof(struct tm));
+	async_data_write_finalize(call_handle, &t, sizeof(struct tm));
 
 	rc = (*clock_dev_ops->time_set)(fun, &t);
 
-	async_answer_0(callid, rc);
+	async_answer_0(chandle, rc);
 }
 
Index: uspace/lib/drv/generic/remote_hw_res.c
===================================================================
--- uspace/lib/drv/generic/remote_hw_res.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/drv/generic/remote_hw_res.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -69,10 +69,10 @@
 
 static void remote_hw_res_enable_interrupt(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = (hw_res_ops_t *) ops;
 
 	if (hw_res_ops->enable_interrupt == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -80,14 +80,14 @@
 	const int irq = DEV_IPC_GET_ARG1(*call);
 	const errno_t ret = hw_res_ops->enable_interrupt(fun, irq);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_hw_res_disable_interrupt(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = (hw_res_ops_t *) ops;
 
 	if (hw_res_ops->disable_interrupt == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -95,14 +95,14 @@
 	const int irq = DEV_IPC_GET_ARG1(*call);
 	const errno_t ret = hw_res_ops->disable_interrupt(fun, irq);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_hw_res_clear_interrupt(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = (hw_res_ops_t *) ops;
 
 	if (hw_res_ops->clear_interrupt == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -110,14 +110,14 @@
 	const int irq = DEV_IPC_GET_ARG1(*call);
 	const errno_t ret = hw_res_ops->enable_interrupt(fun, irq);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_hw_res_get_resource_list(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = (hw_res_ops_t *) ops;
 
 	if (hw_res_ops->get_resource_list == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -125,25 +125,25 @@
 	hw_resource_list_t *hw_resources = hw_res_ops->get_resource_list(fun);
 	if (hw_resources == NULL){
-		async_answer_0(callid, ENOENT);
+		async_answer_0(chandle, ENOENT);
 		return;
 	}
 
-	async_answer_1(callid, EOK, hw_resources->count);
+	async_answer_1(chandle, EOK, hw_resources->count);
 
 	size_t len;
-	if (!async_data_read_receive(&callid, &len)) {
+	if (!async_data_read_receive(&chandle, &len)) {
 		/* Protocol error - the recipient is not accepting data */
 		return;
 	}
-	async_data_read_finalize(callid, hw_resources->resources, len);
+	async_data_read_finalize(chandle, hw_resources->resources, len);
 }
 
 static void remote_hw_res_dma_channel_setup(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = ops;
 
 	if (hw_res_ops->dma_channel_setup == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -155,14 +155,14 @@
 	const errno_t ret = hw_res_ops->dma_channel_setup(
 	    fun, channel, address, size, mode);
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 static void remote_hw_res_dma_channel_remain(ddf_fun_t *fun, void *ops,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	hw_res_ops_t *hw_res_ops = ops;
 
 	if (hw_res_ops->dma_channel_setup == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -170,5 +170,5 @@
 	size_t remain = 0;
 	const errno_t ret = hw_res_ops->dma_channel_remain(fun, channel, &remain);
-	async_answer_1(callid, ret, remain);
+	async_answer_1(chandle, ret, remain);
 }
 /**
